function hideAllSharePanel(){$(".shareCtner").hide()}


function sharePanel(){
    if($.browser.msie){
        $(".shareTab .toSNS .opener").hover(function(){
            if($(".MailListFix").length==0){hideAllSharePanel();$(".snsList").show()}
        },function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".shareTab .byMail .opener").hover(function(){
            if($(".MailListFix").length==0){
                hideAllSharePanel();
                if(SNSShare.hasGetSendBody){
                    $(".MailList").show()
                }else{
                    SNSShare.getSendBody()
                }
            }
        },function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".shareTab .addToExFav .opener").hover(function(){
            if($(".MailListFix").length==0){
                hideAllSharePanel();
                $(".favList").show()
            }
        },function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".snsList").hover(function(){
            $(".snsList").show()
        },function(){
            hideAllSharePanel()
        });
        
        $(".MailList").hover(function(){
            if(SNSShare.hasGetSendBody){
                $(".MailList").show()
            }else{
                SNSShare.getSendBody()
            }
        },function(){
            if($(".MailListFix").length==0){
                hideAllSharePanel()
            }
        });
        
        $(".favList").hover(function(){
            $(".favList").show()
        },function(){
            hideAllSharePanel()
        })
    }else{
        $(".shareTab .toSNS .opener").mouseover(function(){
            if($(".MailListFix").length==0){hideAllSharePanel();$(".snsList").show()}
        }).mouseout(function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".shareTab .byMail .opener").mouseover(function(){
            if($(".MailListFix").length==0){
                hideAllSharePanel();
                if(SNSShare.hasGetSendBody){
                    $(".MailList").show()
                }else{SNSShare.getSendBody()}
            }
        }).mouseout(function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".shareTab .addToExFav .opener").mouseover(function(){
            if($(".MailListFix").length==0){hideAllSharePanel();$(".favList").show()}
        }).mouseout(function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".snsList").mouseover(function(){
            $(".snsList").show()
        }).mouseout(function(){
            hideAllSharePanel()
        });
        
        $(".MailList").mouseover(function(){
            if(SNSShare.hasGetSendBody){
                $(".MailList").show()
            }else{SNSShare.getSendBody()}
        }).mouseout(function(){
            if($(".MailListFix").length==0){hideAllSharePanel()}
        });
        
        $(".favList").mouseover(function(){
            $(".favList").show()
        }).mouseout(function(){
            hideAllSharePanel()
        })
    }
}